Schema "fpml-doc-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8648 $

Defined Components:

  2 global elements, 135 local elements, 53 complexTypes, 1 simpleType, 8 element groups, 1 attribute group

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-doc-5-3.xsd; see XML source

Includes Schema:

  fpml-asset-5-3.xsd [src]

Included in Schemas (3):

  fpml-mktenv-5-3.xsd [src], fpml-msg-5-3.xsd [src], fpml-riskdef-5-3.xsd [src]

All Element Summary
accountReference (defined in AccountReferenceOrPartyReference.model group) | Reference to the subaccount definition in the Party list.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin AccountReferenceOrPartyReference.model group; see XML source
allocatedFraction | The fractional allocation (0.45 = 45%) of the notional and "block" fees to this particular client subaccount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Allocation complexType; see XML source
allocatedNotional | The notional allocation (amount and currency) to this particular client account.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Allocation complexType; see XML source
allocation |
Type: | Allocation
Content: | complex, 9 elements
Defined: | locally witnin Allocations complexType; see XML source
allocations | "Short-form" representation of allocations in which the key block economics are stated once within the trade structure, and the allocation data is contained in this allocations structure.
Type: | Allocations
Content: | complex, 1 element
Defined: | locally witnin Trade complexType; see XML source
allocationsCompleted | When allocations for this trade were completely processed.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
allocationsSubmitted | When allocations for this trade were submitted or received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
allocationsUpdated | When allocations for this trade were most recently corrected.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
allocationTradeId (defined in PartyTradeIdentifier complexType) | The trade id of the allocated trade.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin PartyTradeIdentifier complexType; see XML source
allocationTradeId (in allocation) | Unique ID for the allocation.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin Allocation complexType; see XML source
amendmentEffectiveDate | The date on which the Amendment becomes effective
Type: | xsd:date
Content: | simple
Defined: | locally witnin AmendmentDetails.model group; see XML source
amendmentTradeDate | The date on which the the parties enter into the Amendment transaction
Type: | xsd:date
Content: | simple
Defined: | locally witnin AmendmentDetails.model group; see XML source
approval |
Type: | Approval
Content: | complex, 3 elements
Defined: | locally witnin Approvals complexType; see XML source
approvals | A container for approval states in the workflow.
Type: | Approvals
Content: | complex, 1 element
Defined: | locally witnin AllocationContent.model group; see XML source
approver | The full name or identifiying ID of the relevant approver.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
basePath | XPath to the element in the base object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
baseValue | The value of the element in the base object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
blockTradeId | The trade id of the block trade.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin PartyTradeIdentifier complexType; see XML source
boardOfDirectorsApproval | If the exempted counterparties are registered with the SEC did their Board of Directors (or alternative governance body for non-corporate end users) approve the exemption from clearing?.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
brokerPartyReference | Identifies that party (or parties) that brokered this trade.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Trade complexType; see XML source
calculationAgent (defined in CalculationAgent.model group) | The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
Type: | CalculationAgent
Content: | complex, 2 elements
Defined: | locally witnin CalculationAgent.model group; see XML source
calculationAgentBusinessCenter | The city in which the office through which ISDA Calculation Agent is acting for purposes of the transaction is located The short-form confirm for a trade that is executed under a Sovereign or Asia Pacific Master Confirmation Agreement ( MCA ), does not need to specify the Calculation Agent.
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin CalculationAgent.model group; see XML source
category (defined in PartyTradeInformation complexType) | Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
Type: | TradeCategory
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
cleared (defined in PartyTradeInformation complexType) | Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
cleared (in timestamps) | When this trade was cleared.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
clearedDate (in tradeHeader) | If the trade was cleared (novated) through a central counterparty clearing service, this represents the date the trade was cleared (transferred to the central counterparty).
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeHeader complexType; see XML source
collateral (defined in Trade complexType) | Defines collateral obiligations of a Party
Type: | Collateral
Content: | complex, 1 element
Defined: | locally witnin Trade complexType; see XML source
collateral (in allocation) | The sum that must be posted upfront to collateralize against counterparty credit risk.
Type: | Collateral
Content: | complex, 1 element
Defined: | locally witnin AllocationContent.model group; see XML source
collateralized | Specifies whether the trade is included under a collateral agreement.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
confirmationMethod | Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | ConfirmationMethod
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
confirmed | When this trade was confirmed.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
contractId (in identifier in letterOfCredit) | A contract id which is not version aware.
Type: | ContractId
Content: | simple, 2 attributes
Defined: | locally witnin ContractIdentifier complexType; see XML source
contractId (in versionedContractId) |
Type: | ContractId
Content: | simple, 2 attributes
Defined: | locally witnin VersionedContractId complexType; see XML source
counterpartyTypes | Used to identify whether this trades involves swaps dealers, major swaps participants, or other types of organizations.
Type: | CounterpartyTypes
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
creditChargeAmount | Special credit fee assessed to certain institutions.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AllocationContent.model group; see XML source
creditEvent (in creditDerivativesNotices) | This element corresponds to the Credit Event Notice Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
description (defined in PartyTradeInformation complexType) | A human readable brief description of or comment about the trade
Type: | xsd:string
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
determiningParty | The party referenced is the ISDA Determination Party that specified in the related Confirmation as Determination Party.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Trade complexType; see XML source
differences | An optional set of detailed difference records.
Type: | TradeDifference
Content: | complex, 10 elements
Defined: | locally witnin BestFitTrade complexType; see XML source
differenceSeverity | An indication of the severity of the difference.
Type: | DifferenceSeverityEnum
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
differenceType | The type of difference that exists.
Type: | DifferenceTypeEnum
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
documentation (defined in Trade complexType) | Defines the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed.
Type: | Documentation
Content: | complex, 8 elements
Defined: | locally witnin Trade complexType; see XML source
element | The name of the element affected.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
endUserException | Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionDateTime (defined in PartyTradeInformation complexType) | Trade execution date time provided by a central execution facility.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionType | Used to describe how the trade was executed, e.g. via voice or electronically.
Type: | ExecutionType
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionVenueType | Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
Type: | ExecutionVenueType
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
extraElement | Element(s) that are extraneous in the other object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
governingLaw (defined in Trade complexType) | Identification of the law governing the transaction.
Type: | GoverningLaw
Content: | simple, 1 attribute
Defined: | locally witnin Trade complexType; see XML source
gross | Value excluding fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
hedgingParty | The party referenced is the ISDA Hedging Party that specified in the related Confirmation as Hedging, or if no Hedging Party is specified, either party to the Transaction.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Trade complexType; see XML source
independentAmount (defined in Collateral complexType) | Independent Amount is an amount that usually less creditworthy counterparties are asked to provide.
Type: | IndependentAmount
Content: | complex, 5 elements
Defined: | locally witnin Collateral complexType; see XML source
instrumentTradeDetails | A type to hold trades of multiply-traded instruments.
Type: | InstrumentTradeDetails
Content: | complex, 1 attribute, 11 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
isAccountingHedge | Specifies whether the trade used to hedge a risk for accounting purposes for the specified party.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
isCancellation | Indicates if this message corrects an earlier request.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ProcessingIndicator.model group; see XML source
isCorrection (defined in ProcessingIndicator.model group) | Indicates if this message corrects an earlier request.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ProcessingIndicator.model group; see XML source
largeSizeTrade | Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
linkId | A link identifier allowing the trade to be associated with other related trades, e.g. the linkId may contain a tradeId for an associated trade or several related trades may be given the same linkId.
Type: | LinkId
Content: | simple, 2 attributes
Defined: | locally witnin PartyTradeIdentifier complexType; see XML source
masterConfirmationDate (in allocation) | The date of the confirmation executed between the parties and intended to govern the allocated trade between those parties.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AllocationContent.model group; see XML source
message | A human readable description of the problem.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
missingElement | Element(s) that are missing in the other trade.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
net (in principalAmount in principal in instrumentTradeDetails) | Value including fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
net (in principalAmount in principal in instrumentTradeDetails) | Value including fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
nominal | The monetary value of the security (eg. fixed income security) that was traded).
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InstrumentTradeQuantity complexType; see XML source
nonpubliclyReported | When the non-public report of this was created or received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
nonpublicReportUpdated | When the non-public report of this was most recently corrected or corrections were received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
nonStandardTerms | Specifies whether the trade contains terms that affect pricing that are not represented by the standard reportable data fields, that is, it indicates a bespoke trade that might otherwise appear from its characteristics to be a standardized trade but is really non-standard.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
notionalAmountReference | A reference to the notional amount.
Type: | NotionalAmountReference
Content: | empty, 1 attribute
Defined: | locally witnin PercentageRule complexType; see XML source
number (in quantity in instrumentTradeDetails) | The (absolute) number of units of the underlying instrument that were traded.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin InstrumentTradeQuantity complexType; see XML source
offMarketPrice | Indicates that the price does not reflect the current market.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
onBehalfOf (defined in DataDocument complexType) | Indicates which party (and accounts) a trade is being processed for.
Type: | OnBehalfOf
Content: | complex, 2 elements
Defined: | locally witnin DataDocument complexType; see XML source
orderEntered | When an order is entered by a person or generated by a trading algorithm.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
orderSubmitted | When an order is submitted by a market participant to an execution facility.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
originatingEvent (defined in DataDocument complexType) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin DataDocument complexType; see XML source
otherPartyPayment | Other fees or additional payments associated with the trade, e.g. broker commissions, where one or more of the parties involved are not principal parties involved in the trade.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin Trade complexType; see XML source
otherPath | XPath to the element in the other object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
otherValue | Value of the element in the other trade.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
partyPortfolioName | The name of the portfolio together with the party that gave the name.
Type: | PartyPortfolioName
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Portfolio complexType; see XML source
partyReference (defined in AccountReferenceOrPartyReference.model group) | Reference to the party definition.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin AccountReferenceOrPartyReference.model group; see XML source
partyReference (in identifier in letterOfCredit) | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ContractIdentifier complexType; see XML source
partyReference (in partyPortfolioName) | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyPortfolioName complexType; see XML source
partyTradeIdentifier (defined in PartyTradeIdentifiers complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin PartyTradeIdentifiers complexType; see XML source
partyTradeIdentifier (in tradeHeader) | The trade reference identifier(s) allocated to the trade by the parties involved.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeHeader complexType; see XML source
partyTradeInformation (in tradeHeader) | Additional trade information that may be provided by each involved party.
Type: | PartyTradeInformation
Content: | complex, 25 elements
Defined: | locally witnin TradeHeader complexType; see XML source
paymentAmount (in paymentDetail) | A fixed payment amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDetail complexType; see XML source
paymentDate (in paymentDetail) | Payment date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDetail complexType; see XML source
paymentDetail | A container element allowing a schedule of payments associated with the Independent Amount.
Type: | PaymentDetail
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin IndependentAmount complexType; see XML source
paymentPercent | A percentage of the notional amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PercentageRule complexType; see XML source
paymentRule | A type defining the calculation rule.
Type: | PaymentRule
Content: | empty
Defined: | locally witnin PaymentDetail complexType; see XML source
physicalSettlement (in creditDerivativesNotices) | This element corresponds to the Notice of Intended Physical Settlement Delivered Under Old Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
portfolio (defined in DataDocument complexType) | An arbitary grouping of trade references (and possibly other portfolios).
Type: | Portfolio
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DataDocument complexType; see XML source
portfolio (defined in Portfolio complexType) | An arbitary grouping of trade references (and possibly other portfolios).
Type: | Portfolio
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin Portfolio complexType; see XML source
portfolioName (in partyPortfolioName) |
Type: | PortfolioName
Content: | simple, 2 attributes
Defined: | locally witnin PartyPortfolioName complexType; see XML source
premiumProductReference | Indicates which product within a strategy represents the premium payment.
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin Strategy complexType; see XML source
priceNotation | Pricing information for the trade.
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin DataDocument complexType; see XML source
pricing | The price paid for the instrument.
Type: | InstrumentTradePricing
Content: | complex, 1 element
Defined: | locally witnin InstrumentTradeDetails complexType; see XML source
principal (in instrumentTradeDetails) | The value, in instrument currency, of the amount of the instrument that was traded.
Type: | InstrumentTradePrincipal
Content: | complex, 1 element
Defined: | locally witnin InstrumentTradeDetails complexType; see XML source
principalAmount (in principal in instrumentTradeDetails) | The net and/or gross value of the amount traded in native currency.
Type: | NetAndGross
Content: | complex, 3 elements
Defined: | locally witnin InstrumentTradePrincipal complexType; see XML source
publiclyAvailableInformation (in creditDerivativesNotices) | This element corresponds to the Notice of Publicly Available Information Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
publiclyReported | When the public report of this was created or received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
publicReportUpdated | When the public report of this was most recently corrected or corrections were received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
quantity (in instrumentTradeDetails) | A description of how much of the instrument was traded.
Type: | InstrumentTradeQuantity
Content: | complex, 2 elements
Defined: | locally witnin InstrumentTradeDetails complexType; see XML source
queryParameter |
Type: | QueryParameter
Content: | complex, 3 elements
Defined: | locally witnin QueryPortfolio complexType; see XML source
queryParameterId |
Type: | QueryParameterId
Content: | simple, 2 attributes
Defined: | locally witnin QueryParameter complexType; see XML source
queryParameterOperator |
Type: | QueryParameterOperator
Content: | simple, 2 attributes
Defined: | locally witnin QueryParameter complexType; see XML source
queryParameterValue |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin QueryParameter complexType; see XML source
quote (in pricing) |
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin InstrumentTradePricing complexType; see XML source
relatedBusinessUnit | Provides information about a unit/division/desk etc. that executed or supports this trade
Type: | RelatedBusinessUnit
Content: | complex, 2 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
relatedParty (defined in PartyTradeInformation complexType) | Identifies a related party performing a role within the transaction.
Type: | RelatedParty
Content: | complex, 4 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
relatedPerson | Provides information about a person that executed or supports this trade
Type: | RelatedPerson
Content: | complex, 2 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
reportingRole (defined in PartyTradeInformation complexType) | Identifies the role of this party in reporting this trade (e.g. originator, counterparty).
Type: | ReportingRole
Content: | simple, 2 attributes
Defined: | locally witnin PartyTradeInformation complexType; see XML source
reportingRole (defined in TradeIdentifier complexType) | Identifies the role of this party in reporting this trade (e.g. originator, counterparty, recipient).
Type: | ReportingRole
Content: | simple, 2 attributes
Defined: | locally witnin TradeIdentifier complexType; see XML source
status (in approval) | The current state of approval (.e.g preapproved, pending approval, etc.)
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
strategy | A strategy product.
Type: | Strategy
Content: | complex, 1 attribute, 5 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
submittedForClearing | When this trade was supplied to a clearing service for clearing.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
submittedForConfirmation | When this trade was supplied to a confirmation service or counterparty for confirmation.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
timestamp (in timestamps) | Other timestamps for this trade.
Type: | TradeTimestamp
Content: | complex, 2 elements
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
timestamps | Allows timing information about a trade to be recorded.
Type: | TradeProcessingTimestamps
Content: | complex, 16 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
trade (defined in DataDocument complexType) | The root element in an FpML trade document.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin DataDocument complexType; see XML source
trade (in affectedTransactions) | An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeOrTradeReference.model group; see XML source
tradeDate (in tradeHeader) | The trade date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeHeader complexType; see XML source
tradeHeader | The information on the trade which is not product specific, e.g. trade date.
Type: | TradeHeader
Content: | complex, 4 elements
Defined: | locally witnin Trade complexType; see XML source
tradeId (defined in Portfolio complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin Portfolio complexType; see XML source
tradeId (defined in TradeIdentifier complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin TradeIdentifier complexType; see XML source
tradeId (defined in VersionedTradeId complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin VersionedTradeId complexType; see XML source
tradeIdentifier (defined in BestFitTrade complexType) | The identifier for the trade compared against.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin BestFitTrade complexType; see XML source
trader | Identifies the person or persons who assumed the role of trader for this trade.
Type: | Trader
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
tradeReference (in affectedTransactions) | A container since an individual trade can be referenced by two or more different partyTradeIdentifier elements - each allocated by a different party.
Type: | PartyTradeIdentifiers
Content: | complex, 1 element
Defined: | locally witnin TradeOrTradeReference.model group; see XML source
type (in approval) | The type of approval (e.g.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
type (in timestamp in timestamps) |
Type: | TimestampTypeScheme
Content: | simple, 1 attribute
Defined: | locally witnin TradeTimestamp complexType; see XML source
unit (defined in PartyTradeInformation complexType) | Identifies the unit/division/desk etc. that executed or supports this trade
Type: | Unit
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
updatedForClearing | When the most recent correction to this trade was supplied to a clearing service for clearing.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
updatedForConfirmation | When the most recent correction to this trade was supplied to a confirmation service or counterparty for confirmation.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
validation |
Type: | Validation
Content: | simple, 1 attribute
Defined: | locally witnin Validation.model group; see XML source
value (in timestamp in timestamps) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeTimestamp complexType; see XML source
verificationMethod | Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | ConfirmationMethod
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
versionedContractId | A contract id which is version aware.
Type: | VersionedContractId
Content: | complex, 3 elements
Defined: | locally witnin ContractIdentifier complexType; see XML source

Complex Type Summary
Allocation |
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Allocations |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Approval | A specific approval state in the workflow.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Approvals |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
BestFitTrade | A type used to record the differences between the current trade and another indicated trade.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Collateral | A type for defining the obligations of the counterparty subject to credit support requirements.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
ConfirmationMethod | A type used to represent the type of mechanism that can be used to confirm a trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
ContractId | A contact id identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 2 locations
ContractIdentifier | A type defining a contract identifier issued by the indicated party.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
CounterpartyTypes | The organization types of the counterparties to the transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditDerivativesNotices |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DataDocument | A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention.
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
Document | The abstract base type from which all FpML compliant messages and documents must be derived.
Content: | empty, 3 attributes
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
ExecutionDateTime | A type defining the trade execution date time and the source of it.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
ExecutionType | A type used to represent the type of market where a trade can be executed.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ExecutionVenueType | A type used to represent the type of market where a trade can be executed.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FirstPeriodStartDate |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IndependentAmount |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
InstrumentTradeDetails | The economics of a trade of a multiply traded instrument.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
InstrumentTradePricing | A structure describing the price paid for the instrument.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
InstrumentTradePrincipal | A structure describing the value in "native" currency of an instrument that was traded.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
InstrumentTradeQuantity | A structure describing the amount of an instrument that was traded.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
LinkId | The data type used for link identifiers.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
NetAndGross | A structure including a net and/or a gross amount and possibly fees and commissions.
Content: | complex, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
PartyPortfolioName | A type to represent a portfolio name for a particular party.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
PartyTradeIdentifier | A type defining one or more trade identifiers allocated to the trade by a party.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 15 locations
PartyTradeIdentifiers | A type containing multiple partyTradeIdentifier.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
PartyTradeInformation | A type defining additional information that may be recorded against a trade.
Content: | complex, 25 elements
Defined: | globally; see XML source
Includes: | definitions of 23 elements
Used: | at 2 locations
PaymentDetail |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PaymentRule | The abstract base type from which all calculation rules of the independent amount must be derived.
Content: | empty
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
PercentageRule | A type defining a content model for a calculation rule defined as percentage of the notional amount.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Portfolio | A type representing an arbitary grouping of trade references.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 4 locations
PortfolioName | The data type used for portfolio names.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 2 locations
QueryParameter | A type representing criteria for defining a query portfolio.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
QueryParameterId | A type representing an identifier for a parameter describing a query portfolio.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
QueryParameterOperator | A type representing an operator describing the relationship of a value to its corresponding identifier for a parameter describing a query portfolio.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
QueryPortfolio | A type representing a portfolio obtained by querying the set of trades held in a repository.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
Regulator | An identifier of an organization that regulates trading activity, e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
ReportingRole | A type containing a code representing the role of a party in a report, e.g. the originator, the recipient, the counterparty, etc.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 2 locations
Strategy | A type defining a group of products making up a single trade.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TimestampTypeScheme | The type or meaning of a timestamp.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Trade | A type defining an FpML trade.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 13 locations
TradeCategory | A scheme used to categorize positions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
TradeDifference | A type used to record the details of a difference between two business objects/
Content: | complex, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 3 locations
TradeHeader | A type defining trade related information which is not product specific.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
TradeId | A trade reference identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 5 locations
TradeIdentifier | A type defining a trade identifier issued by the indicated party.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 6 locations
TradeProcessingTimestamps | Allows timing information about when a trade was processed and reported to be recorded.
Content: | complex, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 16 elements
Used: | at 1 location
Trader |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeTimestamp | A generic trade timestamp
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Validation | A reference identifying a rule within a validation scheme.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
VersionedContractId | Contract Id with Version Support
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VersionedTradeId | Trade Id with Version Support
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never

Simple Type Summary
QueryParameterValue | A type representing a value corresponding to an identifier for a parameter describing a query portfolio.
Defined: | globally; see XML source
Used: | never

Element Group Summary
AccountReferenceOrPartyReference.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
AllocationContent.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
AmendmentDetails.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CalculationAgent.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NetAndOrGross.model | A group including a net and/or a gross amount.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ProcessingIndicator.model | Elements that describe how this document is intended to be processed (in the absence of a full messaging framework).
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeOrTradeReference.model | Choice between identification and representation of trade execution.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
Validation.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 5 locations

Attribute Group Summary
VersionAttributes.atts | Set of attributes that define versioning information.
Content: | 3 attributes
Defined: | globally; see XML source
Includes: | definitions of 3 attributes
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8648 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:simpleType name="QueryParameterValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing a value corresponding to an identifier for a parameter describing a query portfolio. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:string"/> </xsd:simpleType> <xsd:complexType name="Allocation"> <xsd:sequence> <xsd:element minOccurs="0" name="allocationTradeId" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">Unique ID for the allocation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:choice> <xsd:element minOccurs="0" name="allocatedFraction" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fractional allocation (0.45 = 45%) of the notional and "block" fees to this particular client subaccount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocatedNotional" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional allocation (amount and currency) to this particular client account. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="AllocationContent.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Allocations"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocation" type="Allocation"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Approval"> <xsd:annotation> <xsd:documentation xml:lang="en">A specific approval state in the workflow.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of approval (e.g. "Credit").</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="status" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The current state of approval (.e.g preapproved, pending approval, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approver" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The full name or identifiying ID of the relevant approver. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Approvals"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="approval" type="Approval"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BestFitTrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the differences between the current trade and another indicated trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifier" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier for the trade compared against.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="differences" type="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en">An optional set of detailed difference records.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the obligations of the counterparty subject to credit support requirements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="independentAmount" type="IndependentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Independent Amount is an amount that usually less creditworthy counterparties are asked to provide. It can either be a fixed amount or a percentage of the Transaction's value. The Independent Amount can be: (i) transferred before any trading between the parties occurs (as a deposit at a third party's account or with the counterparty) or (ii) callable after trading has occurred (typically because a downgrade has occurred). In situation (i), the Independent Amount is not included in the calculation of Exposure, but in situation (ii), it is included in the calculation of Exposure. Thus, for situation (ii), the Independent Amount may be transferred along with any collateral call. Independent Amount is a defined term in the ISDA Credit Support Annex. ("with respect to a party, the amount specified as such for that party in Paragraph 13; if no amount is specified, zero"). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ContractId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contact id identifier allocated by a party. FpML does not define the domain values associated with this element. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="contractIdScheme" type="xsd:anyURI" use="required"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ContractIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a contract identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the contract identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the legal activity is to agree a contract of variation then the business process should be to modify a contract. This is a contract in its own right and not a version of a previous contract. Where the business process is to replace and supersede a contract then you have a new contract and a contract version should not be used. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractId" type="ContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">A contract id which is not version aware.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="versionedContractId" type="VersionedContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">A contract id which is version aware.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CreditDerivativesNotices"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEvent" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Credit Event Notice Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publiclyAvailableInformation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Notice of Publicly Available Information Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="physicalSettlement" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Notice of Intended Physical Settlement Delivered Under Old Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DataDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Document"> <xsd:sequence> <xsd:group ref="Validation.model"/> <xsd:choice> <xsd:sequence> <xsd:group minOccurs="0" ref="ProcessingIndicator.model"/> <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"> <xsd:annotation> <xsd:documentation> Indicates which party (and accounts) a trade is being processed for. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">The root element in an FpML trade document.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="priceNotation" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> An arbitary grouping of trade references (and possibly other portfolios). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="Document"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base type from which all FpML compliant messages and documents must be derived. </xsd:documentation> </xsd:annotation> <xsd:attributeGroup ref="VersionAttributes.atts"/> </xsd:complexType> <xsd:complexType name="ExecutionDateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the trade execution date time and the source of it. For use inside containing types which already have a Reference to a Party that has assigned this trade execution date time. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:dateTime"> <xsd:attribute name="executionDateTimeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the source (e.g. clock id) generating the execution date time. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FirstPeriodStartDate"> <xsd:simpleContent> <xsd:extension base="xsd:date"> <xsd:attribute ecore:reference="Party" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="IndependentAmount"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDetail" type="PaymentDetail"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container element allowing a schedule of payments associated with the Independent Amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InstrumentTradeDetails"> <xsd:annotation> <xsd:documentation> The economics of a trade of a multiply traded instrument. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en">The FpML asset description for the asset.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quantity" type="InstrumentTradeQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of how much of the instrument was traded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricing" type="InstrumentTradePricing"> <xsd:annotation> <xsd:documentation xml:lang="en">The price paid for the instrument.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principal" type="InstrumentTradePrincipal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value, in instrument currency, of the amount of the instrument that was traded. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InstrumentTradeQuantity"> <xsd:annotation> <xsd:documentation> A structure describing the amount of an instrument that was traded. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="number" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The (absolute) number of units of the underlying instrument that were traded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nominal" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The monetary value of the security (eg. fixed income security) that was traded). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="InstrumentTradePricing"> <xsd:annotation> <xsd:documentation> A structure describing the price paid for the instrument. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/> </xsd:sequence> <!-- <xsd:choice> <xsd:element name="price" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="cleanPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, exclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dirtyPrice" type="NetAndGross" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="dirtyPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> <xsd:appinfo> <view:skip view="reporting"/> <view:skip view="transparency"/> </xsd:appinfo> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:complexType> <xsd:complexType name="InstrumentTradePrincipal"> <xsd:annotation> <xsd:documentation> A structure describing the value in "native" currency of an instrument that was traded. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="principalAmount" type="NetAndGross"> <xsd:annotation> <xsd:documentation xml:lang="en"> The net and/or gross value of the amount traded in native currency. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LinkId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for link identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute name="linkIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NetAndGross"> <xsd:annotation> <xsd:documentation> A structure including a net and/or a gross amount and possibly fees and commissions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="NetAndOrGross.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Net and/or gross amount.</xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PartyPortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to represent a portfolio name for a particular party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioName" type="PortfolioName"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining one or more trade identifiers allocated to the trade by a party. A link identifier allows the trade to be associated with other related trades, e.g. trades forming part of a larger structured transaction. It is expected that for external communication of trade there will be only one tradeId sent in the document per party. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="TradeIdentifier"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="linkId" type="LinkId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A link identifier allowing the trade to be associated with other related trades, e.g. the linkId may contain a tradeId for an associated trade or several related trades may be given the same linkId. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade id of the allocated trade. This is used by the block trade to reference the allocated trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="blockTradeId" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade id of the block trade. This is used by each one of the allocated trades to reference the block trade. This element can also represent the trade id of the parent trade for N-level allocations. In the case, this element is only used to model N-level allocations in which the trade acts as block and allocated trade at the same time. This basically means the ability to allocate a block trade to multiple allocation trades, and then allocate these in turn to other allocation trades (and so on if desired). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyTradeIdentifiers"> <xsd:annotation> <xsd:documentation xml:lang="en">A type containing multiple partyTradeIdentifier.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining additional information that may be recorded against a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies that party that has ownership of this information. For shared trade information, this will reference the originator of the date (for example, an execution facility or clearinghouse). </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a related party performing a role within the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- RPTWG 2009-09-04 begin--> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the role of this party in reporting this trade (e.g. originator, counterparty). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A human readable brief description of or comment about the trade </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unit" type="Unit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the unit/division/desk etc. that executed or supports this trade </xsd:documentation> </xsd:annotation> </xsd:element> <!-- BAL 2011-10 - work on modeling people and org units --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedBusinessUnit" type="RelatedBusinessUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides information about a unit/division/desk etc. that executed or supports this trade </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedPerson" type="RelatedPerson"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides information about a person that executed or supports this trade </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="isAccountingHedge" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade used to hedge a risk for accounting purposes for the specified party. (TODO: do we need to distinguish between asset and liability hedges?) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to categorize trades into user-defined categories, such as house trades vs. customer trades. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- RPTWG 2009-09-04 end --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trader" type="Trader"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the person or persons who assumed the role of trader for this trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Trade execution date time provided by a central execution facility. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows timing information about a trade to be recorded. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-02-20 to address CFTC reporting requirements --> <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be cleared via a derivative clearing organization </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="collateralized" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is included under a collateral agreement. NOTE: This field is provisional, and may subsequently be replaced, for example by the trade/documentation/creditSupportAgreement element. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="boardOfDirectorsApproval" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If the exempted counterparties are registered with the SEC did their Board of Directors (or alternative governance body for non-corporate end users) approve the exemption from clearing?. This field is provisional and may be removed from a subsequent draft. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade contains terms that affect pricing that are not represented by the standard reportable data fields, that is, it indicates a bespoke trade that might otherwise appear from its characteristics to be a standardized trade but is really non-standard. The flag indicates that the price for this trade is not to be construed as being indicative of the market. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was executed, e.g. via voice or electronically. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe the type of venue where trade was executed, e.g via an execution facility or privately. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="verificationMethod" type="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="counterpartyTypes" type="CounterpartyTypes"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to identify whether this trades involves swaps dealers, major swaps participants, or other types of organizations. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- <xsd:element name="regulator" type="Regulator" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Used to identify the regulator(s) responsible for monitoring this transaction.</xsd:documentation> <xsd:appinfo> <view:override view="recordkeeping" minOccurs="1"/> <view:override view="transparency" minOccurs="1"/> </xsd:appinfo> </xsd:annotation> </xsd:element> --> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeProcessingTimestamps"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows timing information about when a trade was processed and reported to be recorded. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!-- additional DTCC gaps --> <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When an order is entered by a person or generated by a trading algorithm. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When an order is submitted by a market participant to an execution facility. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- end additional DTCC gaps --> <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the public report of this was created or received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the public report of this was most recently corrected or corrections were received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonpubliclyReported" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the non-public report of this was created or received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonpublicReportUpdated" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the non-public report of this was most recently corrected or corrections were received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submittedForConfirmation" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When this trade was supplied to a confirmation service or counterparty for confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="updatedForConfirmation" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the most recent correction to this trade was supplied to a confirmation service or counterparty for confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="confirmed" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en">When this trade was confirmed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submittedForClearing" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When this trade was supplied to a clearing service for clearing. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="updatedForClearing" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the most recent correction to this trade was supplied to a clearing service for clearing. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cleared" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en">When this trade was cleared.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationsSubmitted" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When allocations for this trade were submitted or received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationsUpdated" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When allocations for this trade were most recently corrected. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationsCompleted" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When allocations for this trade were completely processed. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- TODO: We are currently not including this in SDR reporting views, in order to encourange standardization of timestamp fields --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"> <xsd:annotation> <xsd:documentation xml:lang="en"> Other timestamps for this trade. This is provisional in Recordkeeping and Transparency view and may be reviewed in a subsequent draft. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeTimestamp"> <xsd:annotation> <xsd:documentation xml:lang="en">A generic trade timestamp</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="TimestampTypeScheme"/> <xsd:element minOccurs="0" name="value" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TimestampTypeScheme"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or meaning of a timestamp.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="timestampScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CounterpartyTypes"> <xsd:annotation> <xsd:documentation xml:lang="en"> The organization types of the counterparties to the transaction. Counterparty types include SD (Swaps Dealer), MSP (Major Swap Participant), Client (non-SD/non-MSP.). Coding scheme values include InterDealer, DealerMSP, InterMSP, DealerClient, MSPClient, and Other. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="counterpartyTypesScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Regulator"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier of an organization that regulates trading activity, e.g. CFTC, SEC, FSA, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="regulatorsScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- added BAL 2011-02-20 to address CFTC reporting requirements --> <xsd:complexType name="ExecutionVenueType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of market where a trade can be executed. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/execution-venue-type" name="executionVenueTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- added BAL 2011-06-13 to address CFTC reporting requirements --> <xsd:complexType name="ExecutionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of market where a trade can be executed. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/execution-type" name="executionTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- end BAL 2011-02-20 --> <xsd:complexType name="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of mechanism that can be used to confirm a trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/confirmation-method" name="confirmationMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PaymentDetail"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="paymentRule" type="PaymentRule"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining the calculation rule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">A fixed payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="PaymentRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base type from which all calculation rules of the independent amount must be derived. </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType name="PercentageRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model for a calculation rule defined as percentage of the notional amount. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentRule"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentPercent" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">A percentage of the notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAmountReference" type="NotionalAmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an arbitary grouping of trade references. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyPortfolioName" type="PartyPortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the portfolio together with the party that gave the name. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> An arbitary grouping of trade references (and possibly other portfolios). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for portfolio names.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute name="portfolioNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryParameter"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing criteria for defining a query portfolio. The criteria are made up of a QueryParameterId, QueryParameterValue and QueryParameterOperator. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="queryParameterId" type="QueryParameterId"/> <xsd:element minOccurs="0" name="queryParameterValue" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="queryParameterOperator" type="QueryParameterOperator"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="QueryParameterId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an identifier for a parameter describing a query portfolio. An identifier can be anything from a product name like swap to a termination date. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="queryParameterIdScheme" type="xsd:anyURI" use="required"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryParameterOperator"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an operator describing the relationship of a value to its corresponding identifier for a parameter describing a query portfolio. Possible relationships include equals, not equals, less than, greater than. Possible operators are listed in the queryParameterOperatorScheme. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/query-parameter-operator" name="queryParameterOperatorScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing a portfolio obtained by querying the set of trades held in a repository. It contains trades matching the intersection of all criteria specified using one or more queryParameters or trades matching the union of two or more child queryPortfolios. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Portfolio"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="queryParameter" type="QueryParameter"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReportingRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type containing a code representing the role of a party in a report, e.g. the originator, the recipient, the counterparty, etc. This is used to clarify which participant's information is being reported. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="reportingRoleScheme" type="xsd:anyURI" use="optional"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Strategy"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a group of products making up a single trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates which product within a strategy represents the premium payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining an FpML trade.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeHeader" type="TradeHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information on the trade which is not product specific, e.g. trade date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="product"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="otherPartyPayment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Other fees or additional payments associated with the trade, e.g. broker commissions, where one or more of the parties involved are not principal parties involved in the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="brokerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies that party (or parties) that brokered this trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CalculationAgent.model"/> <xsd:element maxOccurs="2" minOccurs="0" name="determiningParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The party referenced is the ISDA Determination Party that specified in the related Confirmation as Determination Party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" minOccurs="0" name="hedgingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The party referenced is the ISDA Hedging Party that specified in the related Confirmation as Hedging, or if no Hedging Party is specified, either party to the Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="collateral" type="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines collateral obiligations of a Party</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="documentation" type="Documentation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the law governing the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocations" type="Allocations"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Short-form" representation of allocations in which the key block economics are stated once within the trade structure, and the allocation data is contained in this allocations structure. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="TradeCategory"> <xsd:annotation> <xsd:documentation xml:lang="en">A scheme used to categorize positions.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/org-type-category" name="categoryScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the details of a difference between two business objects/ </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="differenceType" type="DifferenceTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of difference that exists.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="differenceSeverity" type="DifferenceSeverityEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">An indication of the severity of the difference.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="element" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">The name of the element affected.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="basePath" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">XPath to the element in the base object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseValue" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">The value of the element in the base object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherPath" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">XPath to the element in the other object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherValue" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Value of the element in the other trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="missingElement" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Element(s) that are missing in the other trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="extraElement" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Element(s) that are extraneous in the other object. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="message" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">A human readable description of the problem.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining trade related information which is not product specific. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade reference identifier(s) allocated to the trade by the parties involved. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional trade information that may be provided by each involved party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- RPTWG 2009-11-12 begin--> <xsd:element minOccurs="0" name="clearedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> If the trade was cleared (novated) through a central counterparty clearing service, this represents the date the trade was cleared (transferred to the central counterparty). </xsd:documentation> </xsd:annotation> </xsd:element> <!-- RPTWG 2009-11-12 end --> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A trade reference identifier allocated by a party. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="tradeIdScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a trade identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier and optionally an account identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the role of this party in reporting this trade (e.g. originator, counterparty, recipient). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="Trader"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="traderScheme" type="xsd:anyURI" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Validation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference identifying a rule within a validation scheme. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="validationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="VersionedContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">Contract Id with Version Support</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="contractId" type="ContractId"/> <xsd:group ref="VersionHistory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The version of the contract id. The contractId is versioned and not the contract. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="VersionedTradeId"> <xsd:annotation> <xsd:documentation xml:lang="en">Trade Id with Version Support</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> <xsd:group ref="VersionHistory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The version of the trade id. The tradeId is versioned and not the trade. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:attributeGroup name="VersionAttributes.atts"> <xsd:annotation> <xsd:documentation xml:lang="en"> Set of attributes that define versioning information. </xsd:documentation> </xsd:annotation> <xsd:attribute name="fpmlVersion" use="required"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicate which version of the FpML Schema an FpML message adheres to. </xsd:documentation> </xsd:annotation> <xsd:simpleType> <xsd:restriction base="xsd:token"> <xsd:pattern value="5-[0-9]+"/> </xsd:restriction> </xsd:simpleType> </xsd:attribute> <xsd:attribute name="expectedBuild" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> This optional attribute can be supplied by a message creator in an FpML instance to specify which build number of the schema was used to define the message when it was generated. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute fixed="2" name="actualBuild" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific build number of this schema version. This attribute is not included in an instance document. Instead, it is supplied by the XML parser when the document is validated against the FpML schema and indicates the build number of the schema file. Every time FpML publishes a change to the schema, validation rules, or examples within a version (e.g., version 4.2) the actual build number is incremented. If no changes have been made between releases within a version (i.e. from Trial Recommendation to Recommendation) the actual build number stays the same. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:attributeGroup> <xsd:element name="instrumentTradeDetails" substitutionGroup="product" type="InstrumentTradeDetails"> <xsd:annotation> <xsd:documentation> A type to hold trades of multiply-traded instruments. Typically this will be used to represent the trade resulting from a physically-settled OTC product where the underlying is a security, for example the exercise of a physically-settled option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="strategy" substitutionGroup="product" type="Strategy"> <xsd:annotation> <xsd:documentation xml:lang="en">A strategy product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="AccountReferenceOrPartyReference.model"> <xsd:choice> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the subaccount definition in the Party list. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to the party definition.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="AllocationContent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="collateral" type="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> The sum that must be posted upfront to collateralize against counterparty credit risk. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditChargeAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Special credit fee assessed to certain institutions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approvals" type="Approvals"> <xsd:annotation> <xsd:documentation xml:lang="en">A container for approval states in the workflow.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date of the confirmation executed between the parties and intended to govern the allocated trade between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="AmendmentDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="amendmentTradeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the the parties enter into the Amendment transaction </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amendmentEffectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date on which the Amendment becomes effective</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CalculationAgent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationAgentBusinessCenter" type="BusinessCenter"> <xsd:annotation> <xsd:documentation xml:lang="en"> The city in which the office through which ISDA Calculation Agent is acting for purposes of the transaction is located The short-form confirm for a trade that is executed under a Sovereign or Asia Pacific Master Confirmation Agreement ( MCA ), does not need to specify the Calculation Agent. However, the confirm does need to specify the Calculation Agent City. This is due to the fact that the MCA sets the value for Calculation Agent but does not set the value for Calculation Agent City. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="NetAndOrGross.model"> <xsd:annotation> <xsd:documentation>A group including a net and/or a gross amount.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="net" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value including fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="gross" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value excluding fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="net" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value including fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="ProcessingIndicator.model"> <xsd:annotation> <xsd:documentation> Elements that describe how this document is intended to be processed (in the absence of a full messaging framework). </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Indicates if this message corrects an earlier request. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="isCancellation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Indicates if this message corrects an earlier request. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="TradeOrTradeReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of trade execution. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeReference" type="PartyTradeIdentifiers"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container since an individual trade can be referenced by two or more different partyTradeIdentifier elements - each allocated by a different party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="Validation.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="validation" type="Validation"/> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.